curl "https://api.neuraldraft.io/v1/social-posts?status=scheduled" \
-H "Authorization: Bearer ndsk_live_yourkey"{
"data": [
{
"id": 88,
"title": "New Saturday morning class",
"platforms": [
"facebook",
"instagram"
],
"status": "scheduled",
"media_type": "image",
"media": [
"https://cdn.neuraldraft.io/prj_2NfQmBcKpXY8/social/sat-class.jpg"
],
"content_per_platform": {
"facebook": "New Saturday morning class — book now → lakesideyoga.uk",
"instagram": "Slow down. Breathe. ✨ New Saturday morning class — link in bio."
},
"scheduled_at": "2026-04-22T08:00:00Z",
"published_at": null,
"publish_results": null
},
{
"id": 87,
"title": "Welcome new teachers",
"platforms": [
"instagram"
],
"status": "published",
"media_type": "image",
"media": [
"https://cdn.neuraldraft.io/prj_2NfQmBcKpXY8/social/teachers.jpg"
],
"content_per_platform": {
"instagram": "Meet our new teachers ✨"
},
"scheduled_at": null,
"published_at": "2026-04-15T09:00:00Z",
"publish_results": {
"instagram": {
"ok": true,
"external_id": "ig_178214..."
}
}
}
],
"meta": {
"page": 1,
"page_size": 20,
"total": 12
}
}Read-only.
curl "https://api.neuraldraft.io/v1/social-posts?status=scheduled" \
-H "Authorization: Bearer ndsk_live_yourkey"{
"data": [
{
"id": 88,
"title": "New Saturday morning class",
"platforms": [
"facebook",
"instagram"
],
"status": "scheduled",
"media_type": "image",
"media": [
"https://cdn.neuraldraft.io/prj_2NfQmBcKpXY8/social/sat-class.jpg"
],
"content_per_platform": {
"facebook": "New Saturday morning class — book now → lakesideyoga.uk",
"instagram": "Slow down. Breathe. ✨ New Saturday morning class — link in bio."
},
"scheduled_at": "2026-04-22T08:00:00Z",
"published_at": null,
"publish_results": null
},
{
"id": 87,
"title": "Welcome new teachers",
"platforms": [
"instagram"
],
"status": "published",
"media_type": "image",
"media": [
"https://cdn.neuraldraft.io/prj_2NfQmBcKpXY8/social/teachers.jpg"
],
"content_per_platform": {
"instagram": "Meet our new teachers ✨"
},
"scheduled_at": null,
"published_at": "2026-04-15T09:00:00Z",
"publish_results": {
"instagram": {
"ok": true,
"external_id": "ig_178214..."
}
}
}
],
"meta": {
"page": 1,
"page_size": 20,
"total": 12
}
}Documentation Index
Fetch the complete documentation index at: https://docs.neuraldraft.io/llms.txt
Use this file to discover all available pages before exploring further.
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
draft, scheduled, published, failed facebook, instagram, twitter, tiktok, linkedin, youtube 1-based page number.
x >= 1Items per page (max 100).
1 <= x <= 100